#
# spec file for package spacewalk-web
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version}
%define www_path /srv/
%define apache_user wwwrun
%define apache_group www
%else
%define www_path %{_var}
%define apache_user apache
%define apache_group apache
%endif

Name:           spacewalk-web
Summary:        Spacewalk Web site packages
Group:          System/Management
License:        GPL v2 only
Version:        1.2.31
Release:        1.4
Url:            https://fedorahosted.org/spacewalk
Source0:        spacewalk-web-git-12503aab5ae4cec01a283e685037260a8faad6ea.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
%if 0%{?suse_version}
BuildRequires:  apache2
%endif

%description
This package contains the code for the Spacewalk Web Site. Normally
this source rpm does not generate a spacewalk-web binary package, but
it does generate a number of sub-packages



%package -n spacewalk-html
License:        GPL v2 only
Summary:        HTML document files for Spacewalk
Group:          Applications/Internet
%if 0%{?suse_version}
Requires:       httpd
%else
Requires:       webserver
%endif
Requires:       spacewalk-branding
Obsoletes:      rhn-help < 5.3.0
Provides:       rhn-help = 5.3.0
Obsoletes:      rhn-html < 5.3.0
Provides:       rhn-html = 5.3.0

%description -n spacewalk-html
This package contains the HTML files for the Spacewalk web site.



%package -n spacewalk-base
License:        GPL v2 only
Group:          Applications/Internet
Summary:        Programs needed to be installed on the RHN Web base classes
Requires:       spacewalk-pxt
Provides:       spacewalk(spacewalk-base-minimal) = %{version}-%{release}
Provides:       spacewalk(spacewalk-base) = %{version}-%{release}
%if 0%{?suse_version}
Requires:       httpd
Requires:       perl-RPM2
Requires:       perl-Authen-PAM 
Requires:       perl-Digest-HMAC
Requires:       perl-Text-Diff
%else
Requires:       webserver
%endif
Obsoletes:      rhn-base < 5.3.0
Provides:       rhn-base = 5.3.0

%description -n spacewalk-base
This package includes the core RHN:: packages necessary to manipulate
database.  This includes RHN::* and RHN::DB::*



%package -n spacewalk-base-minimal
License:        GPL v2 only
Summary:        Minimal .pm's for spacewalk-web package
Group:          Applications/Internet 
Provides:       spacewalk(spacewalk-base-minimal) = %{version}-%{release}
Obsoletes:      rhn-base-minimal < 5.3.0
Provides:       rhn-base-minimal = 5.3.0

%description -n spacewalk-base-minimal
Independent Perl modules in the RHN:: name-space.



%package -n spacewalk-dobby
License:        GPL v2 only
Summary:        Perl modules and scripts to administer an Oracle database
Group:          Applications/Internet
Requires:       spacewalk-base
Obsoletes:      rhn-dobby < 5.3.0
Provides:       rhn-dobby = 5.3.0

%description -n spacewalk-dobby
Dobby is collection of Perl modules and scripts to administer an Oracle
database.



%package -n spacewalk-grail
License:        GPL v2 only
Summary:        Grail, a component framework for Red Hat Network
Requires:       spacewalk-base
Group:          Applications/Internet
Obsoletes:      rhn-grail < 5.3.0
Provides:       rhn-grail = 5.3.0

%description -n spacewalk-grail
A component framework for Spacewalk.



%package -n spacewalk-pxt
License:        GPL v2 only
Summary:        The PXT library for web page templating
Group:          Applications/Internet
Requires:       spacewalk(spacewalk-base-minimal)
%if 0%{?suse_version}
Requires:       perl-Apache2-Request
Requires:       perl-BSD-Resource
Requires:       perl-Cache-Cache
%endif
Obsoletes:      rhn-pxt < 5.3.0
Provides:       rhn-pxt = 5.3.0

%description -n spacewalk-pxt
This package is the core software of the new Spacewalk site.  It is
responsible for HTML, XML, WML, HDML, and SOAP output of data.	It is
more or less equlivalent to things like Apache::ASP and Mason



%package -n spacewalk-sniglets
License:        GPL v2 only
Group:          Applications/Internet 
Summary:        PXT Tag handlers
%if 0%{?suse_version}
Requires:       apache2-mod_perl >= 2.0.0
%else
Requires:       mod_perl >= 2.0.0
%endif
%if 0%{?rhel} == 4
Requires:       mod_jk-ap20
%else
Requires:       httpd
%endif
Obsoletes:      rhn-sniglets < 5.3.0
Provides:       rhn-sniglets = 5.3.0

%description -n spacewalk-sniglets
This package contains the tag handlers for the PXT templates



%prep
%setup -q -n spacewalk-web-git-12503aab5ae4cec01a283e685037260a8faad6ea

%build
make -f Makefile.spacewalk-web PERLARGS="INSTALLDIRS=vendor"

%install
rm -rf $RPM_BUILD_ROOT
make -C modules install DESTDIR=$RPM_BUILD_ROOT PERLARGS="INSTALLDIRS=vendor"
make -C html install PREFIX=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name perllocal.pod -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

mkdir -p $RPM_BUILD_ROOT/%{www_path}/www/htdocs/pub
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rhn/default
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily

install -m 644 conf/rhn_web.conf $RPM_BUILD_ROOT/%{_sysconfdir}/rhn/default
install -m 644 conf/rhn_dobby.conf $RPM_BUILD_ROOT/%{_sysconfdir}/rhn/default
install -m 755 modules/dobby/scripts/check-oracle-space-usage.sh $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily/check-oracle-space-usage.sh

%post -n spacewalk-pxt
%if 0%{?suse_version}
sysconf_addword /etc/sysconfig/apache2 APACHE_MODULES apreq
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -n spacewalk-base
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/RHN
%dir %{perl_vendorlib}/PXT
%{perl_vendorlib}/RHN.pm
%{perl_vendorlib}/RHN/Access.pm
%{perl_vendorlib}/RHN/Access/
%{perl_vendorlib}/RHN/Action.pm
%{perl_vendorlib}/RHN/AppInstall/
%{perl_vendorlib}/RHN/Cache/
%{perl_vendorlib}/RHN/Cert.pm
%{perl_vendorlib}/RHN/Channel.pm
%{perl_vendorlib}/RHN/ChannelEditor.pm
%{perl_vendorlib}/RHN/Cleansers.pm
%{perl_vendorlib}/RHN/ConfigChannel.pm
%{perl_vendorlib}/RHN/ConfigRevision.pm
%{perl_vendorlib}/RHN/ContactGroup.pm
%{perl_vendorlib}/RHN/ContactMethod.pm
%{perl_vendorlib}/RHN/CryptoKey.pm
%{perl_vendorlib}/RHN/CustomInfoKey.pm
%{perl_vendorlib}/RHN/DB/
%{perl_vendorlib}/RHN/DataSource.pm
%{perl_vendorlib}/RHN/DataSource/
%{perl_vendorlib}/RHN/Date.pm
%{perl_vendorlib}/RHN/Entitlements.pm
%{perl_vendorlib}/RHN/Errata.pm
%{perl_vendorlib}/RHN/ErrataEditor.pm
%{perl_vendorlib}/RHN/ErrataTmp.pm
%{perl_vendorlib}/RHN/FileList.pm
%{perl_vendorlib}/RHN/Form.pm
%{perl_vendorlib}/RHN/Form/
%{perl_vendorlib}/RHN/I18N.pm
%{perl_vendorlib}/RHN/KSTree.pm
%{perl_vendorlib}/RHN/Kickstart.pm
%{perl_vendorlib}/RHN/Kickstart/
%{perl_vendorlib}/RHN/Mail.pm
%{perl_vendorlib}/RHN/Manifest.pm
%{perl_vendorlib}/RHN/Org.pm
%{perl_vendorlib}/RHN/Package.pm
%{perl_vendorlib}/RHN/Package/
%{perl_vendorlib}/RHN/Postal.pm
%{perl_vendorlib}/RHN/Profile.pm
%{perl_vendorlib}/RHN/ProxyInstall.pm
%{perl_vendorlib}/RHN/SCDB.pm
%{perl_vendorlib}/RHN/SatCluster.pm
%{perl_vendorlib}/RHN/SatInstall.pm
%{perl_vendorlib}/RHN/SatelliteCert.pm
%{perl_vendorlib}/RHN/Scheduler.pm
%{perl_vendorlib}/RHN/SearchTypes.pm
%{perl_vendorlib}/RHN/Server.pm
%{perl_vendorlib}/RHN/ServerActions.pm
%{perl_vendorlib}/RHN/ServerGroup.pm
%{perl_vendorlib}/RHN/ServerNotes.pm
%{perl_vendorlib}/RHN/Session.pm
%{perl_vendorlib}/RHN/Set.pm
%{perl_vendorlib}/RHN/SimpleStruct.pm
%{perl_vendorlib}/RHN/StoredMessage.pm
%{perl_vendorlib}/RHN/SystemSnapshot.pm
%{perl_vendorlib}/RHN/TSDB.pm
%{perl_vendorlib}/RHN/Tag.pm
%{perl_vendorlib}/RHN/TemplateString.pm
%{perl_vendorlib}/RHN/TinyURL.pm
%{perl_vendorlib}/RHN/Token.pm
%{perl_vendorlib}/RHN/User.pm
%{perl_vendorlib}/RHN/UserActions.pm
%{perl_vendorlib}/RHN/Utils.pm
%{_mandir}/man3/RHN::ContactGroup.3pm.gz
%{_mandir}/man3/RHN::ContactMethod.3pm.gz
%{_mandir}/man3/RHN::DB::ContactGroup.3pm.gz
%{_mandir}/man3/RHN::DB::ContactMethod.3pm.gz
%{_mandir}/man3/RHN::DB::SatCluster.3pm.gz
%{_mandir}/man3/RHN::DB::ServerGroup.3pm.gz
%{_mandir}/man3/RHN::SCDB.3pm.gz
%{_mandir}/man3/RHN::SatCluster.3pm.gz
%{_mandir}/man3/RHN::Session.3pm.gz
%{_mandir}/man3/RHN::TSDB.3pm.gz

%files -n spacewalk-base-minimal
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/RHN
%dir %{perl_vendorlib}/PXT
%{perl_vendorlib}/RHN/SessionSwap.pm
%{perl_vendorlib}/RHN/Exception.pm
%{perl_vendorlib}/RHN/DB.pm
%{perl_vendorlib}/PXT/Config.pm
%attr(640,root,%{apache_group}) %config %{_sysconfdir}/rhn/default/rhn_web.conf
%dir /etc/rhn
%dir /etc/rhn/default

%files -n spacewalk-dobby
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/db-control
%{_mandir}/man1/db-control.1.gz
%{perl_vendorlib}/Dobby.pm
%attr(640,root,%{apache_group}) %config %{_sysconfdir}/rhn/default/rhn_dobby.conf
%attr(0755,root,root) %{_sysconfdir}/cron.daily/check-oracle-space-usage.sh
%{perl_vendorlib}/Dobby/
%dir /etc/rhn
%dir /etc/rhn/default

%files -n spacewalk-grail
%defattr(644,root,root,755)
%{perl_vendorlib}/Grail.pm
%{perl_vendorlib}/Grail/

%files -n spacewalk-pxt 
%defattr(644,root,root,755)
%{perl_vendorlib}/PXT.pm
%attr(640,root,%{apache_group}) %config %{_sysconfdir}/rhn/default/rhn_web.conf
%{perl_vendorlib}/PXT/
%{_mandir}/man3/PXT::ApacheHandler.3pm.gz
%dir /etc/rhn
%dir /etc/rhn/default

%files -n spacewalk-sniglets 
%defattr(644,root,root,755)
%{perl_vendorlib}/Sniglets.pm
%{perl_vendorlib}/Sniglets/

%files -n spacewalk-html
%defattr(644,root,root,755)
%if !0%{?suse_version}
%dir %{www_path}/www/htdocs
%endif
%{www_path}/www/htdocs/*
%{www_path}/www/htdocs/.htaccess

# $Id$

%changelog
* Thu Feb 17 2011 jrenner@suse.de
- change kickstart to autoinstallation in navigation on pxt pages
* Wed Feb 16 2011 mc@suse.de
- debranding
* Wed Feb 16 2011 dmacvicar@suse.de
- updated EULA for footer link
* Wed Feb 16 2011 mc@suse.de
- give the channel list in clone.pxt a nice order and group
  child channels and there parents correctly (bnc#672423)
* Wed Feb 16 2011 mc@suse.de
- fix wrong links to javascript scripts
* Tue Feb 15 2011 jrenner@suse.de
- fixed links to index.do (bnc#672051)
* Fri Feb 11 2011 mc@suse.de
- debranding (bnc#671272)
* Fri Feb 11 2011 jrenner@suse.de
- add quick start to the help desk and navigation
* Fri Feb 11 2011 mc@suse.de
- fix path to formletters (bnc#671156)
* Fri Feb 11 2011 dmacvicar@suse.de
- add final EULAS (bnc#671189) in /help
* Thu Feb 10 2011 jrenner@suse.de
- remove references to non-existent channel mgmt guide (bnc#660768)
* Thu Feb 10 2011 dmacvicar@suse.de
- use product name var on footer template (bnc#667918)
* Tue Feb  8 2011 ma@suse.de
- Use 'Patches' in nav (bnc#670013)
- Disable references to proxy (bnc#670203)
* Mon Jan 31 2011 dmacvicar@suse.de
- about page branding bnc#666142
* Sun Jan 30 2011 mc@suse.de
- backport upstrem fixes
* Fri Jan 28 2011 mc@suse.de
- fix Internal Server Error When Addind Notifications
  (bnc#664549)
* Thu Jan 27 2011 mc@suse.de
- change vendor name to Novell
* Tue Jan 25 2011 jrenner@suse.de
- rename errata to patches in the context of cloning channels
* Sat Jan 22 2011 mc@suse.de
- fix macros
* Tue Jan 11 2011 mc@suse.de
- Error 500 - ISE - when scheduling remote commands
- Fix handling of eval (DBD::Oracle).
- Removed Chat link from perl based UI.
- A few visual changes to error pages.
- Updating the header for the error pages.
* Wed Sep 15 2010 mantel@suse.de
- Initial release of spacewalk-web
